Subject: Re: [PATCH RFC v2 0/7] Introduce Rust and announce that it will become mandatorty

From: Phillip Wood <[email-masked]>
Date: Wed, 10 Sep 2025 10:32:02 +0100

On 10/09/2025 09:21, Patrick Steinhardt wrote:
> On Tue, Sep 09, 2025 at 10:12:39AM +0100, Phillip Wood wrote:
>> On 05/09/2025 15:28, Patrick Steinhardt wrote:
>>> 
>>> I have a plan layed out in the BreakingChanges document that mentions
>>> how I'm proposing to do the transition:
>>>
>>>     1. We introduce it with auto-detection for Meson and default-disabled
>>>        for our Makefile in Git 2.52.
>>
>> I'm not sure how much this helps us. You've said elsewhere that you don't
>> want to be inundated with bug reports which is fair enough, but I'm fairly
>> skeptical that we're going to get enough people enabling this get a useful
>> amount of early feedback. So I wonder if it would be better just to bite the
>> bullet and enable it by default from the start. I think I saw Elijah making
>> a similar argument elsewhere in this thread.
> 
> The patch series may not be ready for all platforms yet though. Windows
> support is still untested and probably not working, so I first need to
> get that done. This is basically the reason why I'm proposing to have it
> auto-detected at first: I want to be able to iterate without breaking
> any platforms yet.
> 
> How about we do a compromise: we initially introduce it
> default-disabled, but default-enable it in the next release already
> instead of first tying it to `-Dbreaking_changes=true`? That would
> accelerate the proposed timeline a bit.

If we really can't get the windows support working before the next 
release then making it disabled by default on that platform makes sense 
and in that case it is probably simpler to make the default the same 
across all platforms. It would be nice to get the windows side working, 
I had assumed that would be fairly easy because the patches exist in 
Ezekiel's series but maybe I'm missing something. I'm also hopeless at 
keeping track of when the next release is so maybe there isn't much time.

Thanks

Phillip